<ion-header>
  <ion-navbar color="primary">
    <ion-title>{{order.id ? order.customer : 'New Delivery'}}</ion-title>
    <ion-buttons end>
        <button ion-button icon-only (click)="save()"><ion-icon name="md-checkmark"></ion-icon></button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-item>
    <ion-label>Customer</ion-label>
    <ion-input type="text" class="item-end" [(ngModel)]="order.customer"></ion-input>
    <button ion-button icon-only clear item-end (click)="searchCustomer()">
      <ion-icon name="search"></ion-icon>
    </button>
  </ion-item>  
  <ion-item>
    <ion-label>Truck</ion-label>
    <ion-select [(ngModel)]="order.truck">
      <ion-option *ngFor="let _truck of trucks" [value]="_truck">{{_truck}}</ion-option>
    </ion-select>
  </ion-item>
  <ion-item no-lines>
    <ion-label floating>Remarks</ion-label>
    <ion-textarea rows="5" [(ngModel)]="order.remarks"></ion-textarea>
  </ion-item>
  <ion-item *ngIf="order.delivered_date && order.delivered_date != -28800000">
    <ion-label c-gray>Date Delivered</ion-label>
    <p item-end>{{order.delivered_date | date:'MMM dd, yyyy HH:mm'}}</p>
  </ion-item>
  <ion-item *ngIf="order.deliverer_id">
    <ion-label c-gray>Delivered by</ion-label>
    <p item-end>{{order.deliverer_name}}</p>
  </ion-item>
  <ion-item *ngIf="order.id">
    <ion-label c-gray>Paid</ion-label>
    <ion-toggle item-end [(ngModel)]="order.paid"></ion-toggle>
  </ion-item>
  <button ion-item class="link" (click)="showLocation()" *ngIf="canViewLocation && order.location && order.location.latitude !== 0">
      <ion-icon name="ios-pin-outline" item-start></ion-icon>
      <span>Show location</span>
      <div class="item-note" item-end><ion-icon name="ios-arrow-forward"></ion-icon></div>
  </button>
  <button ion-item class="link" *ngIf="order.photos" (click)="showPhotos()" no-lines>
      <ion-icon name="ios-photos-outline" item-start></ion-icon>
      <span>Photos ({{order.photos.length}})</span>
      <div class="item-note" item-end><ion-icon name="ios-arrow-forward"></ion-icon></div>
  </button>

  <ion-list *ngIf="photosToUpload.length !== 0">
    <ion-item-divider color="light">
      Pending photos ({{photosToUpload.length}})
      <button ion-button clear item-end color="primary" (click)="uploadPhotos()" *ngIf="pendingPhotos()">
        Upload
      </button>
    </ion-item-divider>
    <ion-item *ngFor="let photo of photosToUpload; let i = index" class="photos-to-upload" no-lines>
      <ion-thumbnail item-start (click)="viewPhoto(photo.url)">
        <img [src]="photo.url">
      </ion-thumbnail>
      <p><progress-bar [progress]="photo.progress" [color]="'#488aff'" *ngIf="photo.progress"></progress-bar></p>
      <button ion-button clear item-end color="danger" *ngIf="!photo.progress && photo.progress !== 100" (click)="removePhoto(i)">
        Delete
      </button>      
    </ion-item>
  </ion-list>

  <div style="height: 100px;"></div>
</ion-content>

<button ion-fab class="fab-button" color="danger" (click)="addPhoto()" *ngIf="order.id">
    <ion-icon name="ios-camera"></ion-icon>
</button>